/**
 * 生成随机验证码图片
 * @param {Event} e - 点击事件对象
 */
function getYzm(e) { //随机生成一个0-9的整数x，使用图片code_x.png作为验证码图片
    x = Math.floor(Math.random() * 10); // 生成0-9的随机数
    img = e.target; // 获取被点击的图片元素
    img.src = "./img/code_" + x + ".png"; // 设置验证码图片路径
}

/**
 * 处理登录逻辑
 * 验证用户输入的验证码、用户名和密码是否正确
 */
function login(e) {
    // 阻止表单默认提交
    e.preventDefault();
    //登录时检验验证码/用户名/密码
    img = document.getElementById("captcha-img").childNodes[0];
    form = document.getElementById("login-form");
    info = document.getElementById("login-alert");

    //维护一个验证码正确值和验证码图片下标的映射
    checks = ["pupr", "khrb", "huks", "egwb", "ekdv", "khns", "wuxc", "tcyk", "nupf", "brpk"];
    // 根据图片路径最后的数字获取对应的正确验证码
    correct_code = checks[img.src.charAt(img.src.length - 5)];

    // 获取用户输入的值
    username = form.username.value;
    password = form.password.value;
    code = form.code.value;
    
    // 验证逻辑
    if (code != correct_code) { info.innerText = "验证码不正确或已失效,请重试！"; }
    else if (username != "abcd" || password != "1234") { info.innerText = "用户名或密码不正确,请重试！"; }
    else { info.innerText = "验证成功！"; }
}

/**
 * 页面加载完成时的初始化函数
 * 注册按钮点击事件和验证码图片点击事件
 */
function body_onload_handler() { //页面加载时触发
    // 获取登录按钮并绑定点击事件
    button = document.getElementById("login-submit");
    button.onclick = login; //注册登录按钮的鼠标点击事件处理函数
    
    // 获取验证码图片元素并绑定点击事件
    img = document.getElementById("captcha-img").childNodes[0];
    img.onclick = getYzm; //注册验证码图片的鼠标点击事件处理函数
    img.click(); // 触发一次点击事件，生成初始验证码
}


// 页面加载完成时执行初始化函数
window.onload = body_onload_handler;

// // 阻止表单默认提交行为，使用自定义的登录处理函数
// document.getElementById("login-form").onsubmit = (event) => {
//     event.preventDefault(); // 因为我们还没有后端，所以先阻止表单默认提交
//     login(); // 调用登录处理函数
// }
